[android-components](../../../index.md) / [mozilla.components.concept.sync](../../index.md) / [AccountEvent](../index.md) / [DeviceConnected](./index.md)

# DeviceConnected

`class DeviceConnected : `[`AccountEvent`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/AccountEvent.kt#L30)

Another device connected to the account

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `DeviceConnected(deviceName: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)`<br>Another device connected to the account |

### Properties

| Name | Summary |
|---|---|
| [deviceName](device-name.md) | `val deviceName: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
